package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支付记录对象 mall_pay_log
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
public class MallPayLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 微信官方支付单号 */
    @Excel(name = "微信官方支付单号")
    private String outTradeNo;

    /** 状态: 0 未支付 1 已支付 */
    @Excel(name = "状态: 0 未支付 1 已支付")
    private String status;

    /** 相关资源ID */
    @Excel(name = "相关资源ID")
    private Long resId;

    /** 支付类型: 0 订单支付 1 会员支付 */
    @Excel(name = "支付类型: 0 订单支付 1 会员支付")
    private String type;

    /** 会员id */
    @Excel(name = "会员id")
    private Long userId;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal price;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 删除标记 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setOutTradeNo(String outTradeNo) 
    {
        this.outTradeNo = outTradeNo;
    }

    public String getOutTradeNo() 
    {
        return outTradeNo;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setResId(Long resId) 
    {
        this.resId = resId;
    }

    public Long getResId() 
    {
        return resId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("outTradeNo", getOutTradeNo())
            .append("status", getStatus())
            .append("resId", getResId())
            .append("type", getType())
            .append("userId", getUserId())
            .append("price", getPrice())
            .append("createAt", getCreateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
